# Uses of Class
org.apache.avro.SchemaBuilder.LongDefault

Packages that use SchemaBuilder.LongDefault
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.LongDefault in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.LongDefault
Modifier and Type
Method
Description
`final SchemaBuilder.LongDefault<R>`
SchemaBuilder.BaseFieldTypeBuilder.`longType()`
A plain long type without custom properties.
Methods in org.apache.avro that return types with arguments of type SchemaBuilder.LongDefault
Modifier and Type
Method
Description
`final SchemaBuilder.LongBuilder<SchemaBuilder.LongDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`longBuilder()`
Build a long type that can set custom properties.
`SchemaBuilder.LongBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.LongDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`longBuilder()`
Build a long type that can set custom properties.
`SchemaBuilder.UnionAccumulator<SchemaBuilder.LongDefault<R>>`
SchemaBuilder.UnionFieldTypeBuilder.`longType()`
A plain long type without custom properties.